ipc_unixsocket.h File Reference

IPC mechanism based on Unix sockets. More...

`#include <stdint.h>`
`#include <sys/types.h>`
`#include <vector>`
`#include <libcamera/event_notifier.h>`

Go to the source code of this file.

## Classes

class | libcamera::IPCUnixSocket
| IPC mechanism based on Unix sockets. More...
struct | libcamera::IPCUnixSocket::Payload
| Container for an IPC payload. More...

## Detailed Description

IPC mechanism based on Unix sockets.